# class RSS::Maker::Atom::Feed::Items::Item::Source

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/feed.rb, line 238
    def to_feed(feed, current)
      source = current.class::Source.new
      setup_values(source)
      current.source = source
      set_parent(source, current)
      setup_other_elements(feed, source)
      current.source = nil if source.to_s == "<source/>"
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/feed.rb, line 248
    def required_variable_names
      []
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/feed.rb, line 252
    def variables
      super + ["updated"]
    end